petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatCreateMAIJ

Creates a matrix type providing restriction and interpolation operations for multicomponent problems. It interpolates each component the same way independently. The matrix type is based on MATSEQAIJ for sequential matrices, and MATMPIAIJ for distributed matrices.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatCreateMAIJ(Mat A,PetscInt dof,Mat *maij)

Collective Many br

### Input Parameters

| A | - the AIJ matrix describing the action on blocks Many br
| dof | - the block size (number of components per node) Many br

### Output Parameter

maij -the new MAIJ matrix Many br

### Operations provided

| MatMult | - . MatMultTranspose Many br
| MatMultAdd | - . MatMultTransposeAdd Many br
| MatView | - Many br Many br

### See Also

MatMAIJGetAIJ(), MatMAIJRedimension(), MATMAIJ

Level:advanced
Location:src/mat/impls/maij/maij.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex48.c.html